function [ G ] = grad_fe( I )
%GRAD_FE central gradient

G = zeros(size(I,1), size(I,2), 2);
x_shift_down = I(:, [2:end, end]);
x_shift_up = I(:, [1, 1:end-1]);
y_shift_down = I([2:end,end], :);
y_shift_up = I([1, 1:end-1], :);

G(:,:,1) = (x_shift_down - x_shift_up)/2;
G(:,:,2) = (y_shift_down - y_shift_up)/2;

end

